/*
* coupled oscillators
 */

AmariNeuron u1, v1, u2, v2;
HScrollbar hs1;
int ctr;
void setup ()
{
  size(250, 250);
  background( 255 );
  u1 = new  AmariNeuron(0,300, -.0155, 14.905, 1.2, .4, 80, 100, 50);
  v1 = new  AmariNeuron(0.5,300, -1.    , 14.905, 0    , .4, 200, 100, 120);
  u1.setAfferentConnection(v1, -1.57);
  v1.setAfferentConnection(u1, 1.57);
  u2 = new  AmariNeuron( 0.5, 300, -.0155, 14.905, 1.2, .4, 80, 200, 50);
  v2 = new  AmariNeuron(0, 300, -1.    , 14.905, 0    , .4, 200, 200, 120);
  u2.setAfferentConnection(v2, -1.57);
  v2.setAfferentConnection(u2, 1.57);
  v2.setAfferentConnection(u1, 1);
  v1.setAfferentConnection(u2, 1);
  hs1 = new HScrollbar(0, 25, width, 12, 16,width);
  u1.u=-1;
  v1.u=0.5;
  u2.u=.5;
  v2.u=-1;
  u1.computeOutput();
  u2.computeOutput();
  v1.computeOutput();
  v2.computeOutput();
  u1.compute();
  u1.u=-1;
  v1.compute();
  u2.compute();
  v2.compute();
  u1.computeOutput();
  u2.computeOutput();
  v1.computeOutput();
  v2.computeOutput();
  ctr=1;
}

void draw ()
{
  while (ctr<100)
  {
    u1.u=-1;
    ctr++;
  }
  noStroke();
  background( 255 );
  fill(0);
  text("u 1", 90, 70);
  text("v 1", 190, 70);
  text("u 2", 90, 170);
  text("v 2", 190, 170);
  text("adjust coupling strength", width/2-70, 10);
  text("0", 5, 40);
  text("1", width-10, 40);
  v1.afferent_weights[1]=(hs1.getPos())/(width);
  v2.afferent_weights[1]=(hs1.getPos())/(width);
  u1.computeOutput();
  u2.computeOutput();
  v1.computeOutput();
  v2.computeOutput();

 u2.compute();
 v2.compute();
 u1.compute();
 v1.compute();
 

  u1.drawConnections();
  v1.drawConnections();
  u2.drawConnections();
  v2.drawConnections();
  u1.drawActivation();
  v1.drawActivation();
  u2.drawActivation();
  v2.drawActivation();
  
   hs1.update();
  hs1.display();
}

